//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'http://www.cecill.info'.


// Definition of low level function used in sci_CLx_* files
// (for input/output) 

extern "C"
{
/* ==================================================================== */
  #include "api_scilab.h"
  #include "Scierror.h"
  #include "MALLOC.h"
  #include <localization.h>

  int getInputMatrixDouble(void *pvApiCtx, int argPos, double **pdValues, char *fname);
  int getInputInteger(void *pvApiCtx, int argPos, int *piValue, char *fname);
  int setOutputMatrixInteger(void *pvApiCtx, int argPos, int *piValues, int iRows, int iCols, char *fname);
  int setOutputMatrixDouble(void *pvApiCtx, int argPos, double *pdValues, int iRows, int iCols, char *fname);
  int setOutputInteger(void *pvApiCtx, int argPos, int iValue, char *fname);
  int setOutputDouble(void *pvApiCtx, int argPos, double dValue, char *fname);

}

